Bug 153054 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 23:33 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 06:12:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes said problem (42.60 KB, patch)
2005-03-31 23:45 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 23:33:58 EST
Description of problem:

/usr/share/system-config-users/mainWindow.py:186: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.userTreeView.set_rules_hint(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:193: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:197: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:201: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:205: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:209: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:213: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:216: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.userTreeView.set_property("headers-visible", gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:222: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.groupTreeView.set_rules_hint(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:229: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:233: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:236: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  col.set_resizable(gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:243: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.filterCheckMenu.set_active(self.filterSystemUsers)
/usr/share/system-config-users/userWindow.py:57: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.loginShellCombo.entry.set_property('editable', gtk.FALSE)
/usr/share/system-config-users/userWindow.py:59: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.selinuxCombo.entry.set_property('editable', gtk.FALSE)
/usr/share/system-config-users/userWindow.py:72: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.selinuxCombo.set_sensitive(gtk.FALSE)
/usr/share/system-config-users/userWindow.py:73: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.selinuxLabel.set_sensitive(gtk.FALSE)
/usr/share/system-config-users/groupProperties.py:59: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.userTreeView.set_property("headers-visible", gtk.FALSE)
/usr/share/system-config-users/groupProperties.py:73: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.userVBox.pack_start(self.userChecklistSW, gtk.TRUE)
/usr/share/system-config-users/mainWindow.py:312: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.toplevel.set_sensitive(gtk.FALSE)
/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py:91:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  __cmp__     = lambda self, other: self._deprecated(cmp(self._v, other))
/usr/share/system-config-users/mainWindow.py:487: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  if self.filterSystemUsers == gtk.TRUE:
/usr/share/system-config-users/mainWindow.py:527: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  if self.filterSystemUsers == gtk.TRUE:
/usr/share/system-config-users/mainWindow.py:794: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.properties_button.set_sensitive(value)
/usr/share/system-config-users/mainWindow.py:795: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.properties_menu.set_sensitive(value)
/usr/share/system-config-users/mainWindow.py:796: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.delete_button.set_sensitive(value)
/usr/share/system-config-users/mainWindow.py:797: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.delete_menu.set_sensitive(value)
/usr/share/system-config-users/mainWindow.py:318: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.toplevel.set_sensitive(gtk.TRUE)
/usr/share/system-config-users/userWindow.py:102: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.newGroupCheck.set_active(gtk.TRUE)
/usr/share/system-config-users/userWindow.py:103: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.uidCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-users/userWindow.py:104: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.homeDirCheck.set_active(gtk.TRUE)
/usr/share/system-config-users/groupWindow.py:73: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.gidCheckButton.set_active(gtk.FALSE)
/usr/share/system-config-users/mainWindow.py:137: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  if self.filterSystemUsers == gtk.TRUE:
/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py:91:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  __cmp__     = lambda self, other: self._deprecated(cmp(self._v, other))
/usr/share/system-config-users/mainWindow.py:142: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  if filterLineFound == gtk.FALSE:


Version-Release number of selected component (if applicable):

1.2.28-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-03-31 23:44:38 EST
Attaching a patch to fix this against current cvs. Apply and rebuild please.
Comment 2 Colin Charles 2005-03-31 23:45:30 EST
Created attachment 112558 [details]
fixes said problem
Comment 3 Nils Philippsen 2005-04-01 06:12:53 EST
Fixed in system-config-users-1.2.31, thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.